Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene
Class FluxScene

    java.lang.Object
      de.grogra.gpuflux.scene.FluxScene

    public class FluxScene

extends java.lang.Object

Constructor Summary
`FluxScene()`

Method Summary
`void` | `buildLightsFromGraph(Graph graph, ViewConfig3D view, ObjectFilter measureFilter, boolean enableSensors, ProgressMonitor monitor, boolean sampleExplicit)`
`void` | `buildSceneFromGraph(Graph graph, ViewConfig3D view, ObjectFilter measureFilter, boolean enableSensors, ProgressMonitor monitor, boolean sampleExplicit, float flatness)`
`void` | `cleanLog()`
`BoundingBox3d` | `getBounds()`
`BVHTree` | `getBVH()`
`int` | `getBVHRoot()`
`Camera` | `getCamera()`
`java.util.Vector<FluxChannelMap>` | `getChannels()`
`float[]` | `getCumulativeLightPower()`
`Environment` | `getEnvironment()`
`Graph` | `getGraph()`
`int` | `getGroupCount()`
`int` | `getInfPrimitiveCount()`
`java.util.Vector<FluxPrimitive>` | `getInfPrimitives()`
`java.util.Vector<FluxChannelMap>` | `getLightChannels()`
`int` | `getLightCount()`
`java.util.Vector<FluxLight>` | `getLights()`
`java.util.Vector<FluxShader>` | `getLightShaders()`
`java.lang.String` | `getLog()`
`LongToIntHashMap` | `getNodeToGroup()`
`int` | `getPrimitiveCount()`
`java.util.Vector<FluxPrimitive>` | `getPrimitives()`
`int` | `getSampleCount()`
`java.lang.String` | `getSceneStats()`
`BVHTree` | `getSensorBVH()`
`int` | `getSensorBVHRoot()`
`int` | `getSensorCount()`
`java.util.Vector<FluxSensor>` | `getSensors()`
`java.util.Vector<FluxShader>` | `getShaders()`
`FluxLight` | `getSky()`
`ViewConfig3D` | `getView()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FluxScene

    public FluxScene()

Method Detail

### buildLightsFromGraph

    public void buildLightsFromGraph(Graph graph,
                                     ViewConfig3D view,
                                     ObjectFilter measureFilter,
                                     boolean enableSensors,
                                     ProgressMonitor monitor,
                                     boolean sampleExplicit)

### buildSceneFromGraph

    public void buildSceneFromGraph(Graph graph,
                                    ViewConfig3D view,
                                    ObjectFilter measureFilter,
                                    boolean enableSensors,
                                    ProgressMonitor monitor,
                                    boolean sampleExplicit,
                                    float flatness)

### cleanLog

    public void cleanLog()

### getBounds

    public BoundingBox3d getBounds()

### getBVH

    public BVHTree getBVH()

### getBVHRoot

    public int getBVHRoot()

### getCamera

    public Camera getCamera()

### getChannels

    public java.util.Vector<FluxChannelMap> getChannels()

### getCumulativeLightPower

    public float[] getCumulativeLightPower()

### getEnvironment

    public Environment getEnvironment()

### getGraph

    public Graph getGraph()

### getGroupCount

    public int getGroupCount()

### getInfPrimitiveCount

    public int getInfPrimitiveCount()

### getInfPrimitives

    public java.util.Vector<FluxPrimitive> getInfPrimitives()

### getLightChannels

    public java.util.Vector<FluxChannelMap> getLightChannels()

### getLightCount

    public int getLightCount()

### getLights

    public java.util.Vector<FluxLight> getLights()

### getLightShaders

    public java.util.Vector<FluxShader> getLightShaders()

### getLog

    public java.lang.String getLog()

### getNodeToGroup

    public LongToIntHashMap getNodeToGroup()

### getPrimitiveCount

    public int getPrimitiveCount()

### getPrimitives

    public java.util.Vector<FluxPrimitive> getPrimitives()

### getSampleCount

    public int getSampleCount()

### getSceneStats

    public java.lang.String getSceneStats()

### getSensorBVH

    public BVHTree getSensorBVH()

### getSensorBVHRoot

    public int getSensorBVHRoot()

### getSensorCount

    public int getSensorCount()

### getSensors

    public java.util.Vector<FluxSensor> getSensors()

### getShaders

    public java.util.Vector<FluxShader> getShaders()

### getSky

    public FluxLight getSky()

### getView

    public ViewConfig3D getView()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD